Linphone in debian wheezy with TLS support

Posted: 30/11/2013 in Debian
Tags:

Linphone is an internet phone or Voice Over IP phone (VoIP).
I installed this in my Debian wheezy but i found that the debian package does not support TLS beacause of some license restriction.
So i tried to fix it.

aptitude install linphone

open
pico /etc/apt/sources.list

add
deb-src http://ftp.gr.debian.org/debian/ wheezy main contrib non-free

mkdir libexosip
cd libexosip
apt-get source libexosip2-7
cd libexosip2-3.6.0/debian
pico control

from

Build-Depends: debhelper (>= 9), autotools-dev, libncurses5-dev, libosip2-dev (>= 3.6), dpkg-dev (>= 1.13.19), doxygen
Build-Conflicts: libssl-dev

make it look like

Build-Depends: debhelper (>= 9), autotools-dev, libncurses5-dev, libosip2-dev (>= 3.6), dpkg-dev (>= 1.13.19), doxygen, libssl-dev

aptitude install debhelper libncurses5-dev libosip2-dev doxygen libssl-dev

dpkg-buildpackage

cd ..

dpkg -i libexosip2-7_3.6.0-4_amd64.deb

also add

apt-get install libsrtp0-dev libzrtpcpp2

Done
make some clean

aptitude purge debhelper libncurses5-dev libosip2-dev doxygen libssl-dev

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s